!---------------------------------------------

program randseed

use OW_exec_time

   real 				:: rnd
   real			 	:: x
   integer, dimension(2) 		:: seed, seed_old
   integer 			:: L,i,n,ran_int,sizer,seed_1,seed_2


!  generate random integers between n_min and n_max
!  dimension of seed is one in F and two in Fortran 90.

   call owexec_time (rnd)
   seed(1)=int(rnd/10)
   call owexec_time (rnd)
   seed(2)=int(rnd)
   call random_seed(put=seed)
   do i=1,10
      call random_number(x)
      write(0,*) x
   end do
END program
